| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryMediaGatewayRequest Class Reference
Media Server

Query Media Gateway request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
xsd__string | GatewayName
| Filters by the Media Gateway Name. More...

## Detailed Description

Query Media Gateway request.

Used by unsp__queryMediaGateway()

## Member Data Documentation

## ◆ GatewayName

xsd__string unsp__QueryMediaGatewayRequest::GatewayName

Filters by the Media Gateway Name.

required: false
default value[range]: NA [1..63]

## ◆ InterfaceWsdl

xsd__string unsp__QueryMediaGatewayRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OperatorId

xsd__string unsp__QueryMediaGatewayRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryMediaGatewayRequest::Paging

Standard paging structure.

required: false

## ◆ Specific

xsd__boolean unsp__QueryMediaGatewayRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h